Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Scissor Class Reference

Encapsulate OpenGL glScissor. More...

Inheritance diagram for osg::Scissor:

[legend]
List of all members.

## Public Member Functions
| Scissor ()
| Scissor (int x, int y, int width, int height)
| Scissor (const Scissor &vp, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, Scissor, SCISSOR)
virtual int | compare (const StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
| Return the modes associated with this StateAttribute.
void | setScissor (int x, int y, int width, int height)
void | getScissor (int &x, int &y, int &width, int &height) const
int & | x ()
int | x () const
int & | y ()
int | y () const
int & | width ()
int | width () const
int & | height ()
int | height () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~Scissor ()
## Protected Attributes
int | _x
int | _y
int | _width
int | _height

## Detailed Description

Encapsulate OpenGL glScissor.

## Constructor & Destructor Documentation

osg::Scissor::Scissor | ( |  | ) |

osg::Scissor::Scissor | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) | `[inline]`

osg::Scissor::Scissor | ( | const Scissor & | vp,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::Scissor::~Scissor | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::Scissor::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::Scissor::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

virtual bool osg::Scissor::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

| Return the modes associated with this StateAttribute. Reimplemented from osg::StateAttribute.

void osg::Scissor::getScissor | ( | int & | x,
|  | int & | y,
|  | int & | width,
|  | int & | height
| ) | const`[inline]`

int osg::Scissor::height | ( |  | ) | const`[inline]`

int& osg::Scissor::height | ( |  | ) | `[inline]`

osg::Scissor::META_StateAttribute | ( | osg | ,
|  | Scissor | ,
|  | SCISSOR |
| ) |

void osg::Scissor::setScissor | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) | `[inline]`

int osg::Scissor::width | ( |  | ) | const`[inline]`

int& osg::Scissor::width | ( |  | ) | `[inline]`

int osg::Scissor::x | ( |  | ) | const`[inline]`

int& osg::Scissor::x | ( |  | ) | `[inline]`

int osg::Scissor::y | ( |  | ) | const`[inline]`

int& osg::Scissor::y | ( |  | ) | `[inline]`

## Member Data Documentation

int osg::Scissor::_height`[protected]`

int osg::Scissor::_width`[protected]`

int osg::Scissor::_x`[protected]`

int osg::Scissor::_y`[protected]`

The documentation for this class was generated from the following file:

- Scissor